import React from 'react';
import type { IInstance, IServerGroup } from '../domain';
export interface IInstanceListProps {
    hasDiscovery: boolean;
    hasLoadBalancers: boolean;
    instances: IInstance[];
    serverGroup: IServerGroup;
}
export interface IInstanceListState {
    multiselect: boolean;
    allSelected: boolean;
    instanceSort?: string;
}
export declare class InstanceList extends React.Component<IInstanceListProps, IInstanceListState> {
    private instanceGroup;
    private clusterFilterModel;
    private $state;
    private $uiRouter;
    private destroy$;
    constructor(props: IInstanceListProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private toggleSelectAll;
    private getColumnWidths;
    shouldComponentUpdate(nextProps: IInstanceListProps, nextState: IInstanceListState): boolean;
    private toggleSort;
    private renderHeader;
    render(): JSX.Element;
}
